ISO Payments offers a direct and intuitive interface to the banks ISO 20022 products. By leveraging ISO 20022, you can automate and streamline a wide range of payment processes, including both domestic and international vendor payments and payroll.
Create Payment
Initiates an ISO payment by submitting the required payment instructions.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
Create Payment › Request Body
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: debtorAccount, instructedAmount, creditorAccount +1 more | |
| type = object · requires: debtorAccount, instructedAmount, creditorGiro +1 more | |
| type = object · requires: debtorAccount, instructedAmount, creditorAccount +2 more |
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or,
- Bankgiro/Plusgiro for corporate Swedish accounts, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
creditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
creditorAgentNameCreditor Agent Name
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
remittanceInformationUnstructuredUnstructured remittance information
debtorAccountMessageMessage for the debtor
List of credit notes to be offset against the payment.
purposeCodeExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.
Create Payment › Responses
Created
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
paymentIdID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
_linksA list of hyperlinks to be recognised by the TPP. Type of links admitted in this response:
-
'confirmPayment': The link to the confirm endpoint, where a payment file is generated from the confirmed payment instructions.
-
'self': The link to the payment initiation resource created by this request.
Create Payment (Cross-Border)
Initiates an ISO payment by submitting cross-border payment instructions.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
FX-Quote-IDID of the FX Quote to be used for the payment. Used for cross-border payments only.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
Create Payment (Cross-Border) › Request Body
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or,
- Bankgiro/Plusgiro for corporate Swedish accounts, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
creditorAgent[A-Z]{6,6}[A-Z2-9][A… · requiredBICFI
creditorAgentNameCreditor Agent Name
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
remittanceInformationUnstructuredUnstructured remittance information
debtorAccountMessageMessage for the debtor
purposeCodeExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.
List of credit notes to be offset against the payment.
Additional regulatory reporting information, if applicable.
Create Payment (Cross-Border) › Responses
Created
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
paymentIdID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
_linksA list of hyperlinks to be recognised by the TPP. Type of links admitted in this response:
-
'confirmPayment': The link to the confirm endpoint, where a payment file is generated from the confirmed payment instructions.
-
'self': The link to the payment initiation resource created by this request.
Get Payment
Retrieves the details and status of an ISO payment.
path Parameters
paymentIdResource identification of the generated payment initiation resource.
ID of the generated payment initiation resource. Only available for transactions generated via the Open Banking Platform.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
FX-Quote-IDID of the FX Quote to be used for the payment. Used for cross-border payments only.
Get Payment › Responses
OK
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
Reference to an account by either
- IBAN, of a payment account, or
- BBAN, for payment accounts if there is no IBAN, or
- the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
- the Primary Account Number (PAN) of a card in a masked form, or
- an alias to access a payment account via a registered mobile phone number (MSISDN).
creditorName^[A-Za-z0-9 ]{1,70}$ · requiredCreditor Name
endToEndIdentificationcreditorAgent[A-Z]{6,6}[A-Z2-9][A…BICFI
remittanceInformationUnstructuredUnstructured remittance information
Structured remittance information
debtorAccountMessageMessage for the debtor
requestedExecutionDateDate when payment is scheduled to be executed in ISO-Date Format, e.g. 2020-10-30
transactionStatusUses codes from the ISO 20022 data table. See Statuses & Types documentation for full descriptions of values.
Confirm Payment
Confirms and finalizes a pending ISO payment and sends it for processing. Only confirmed payments are transmitted to the clearing system for execution.
Headers
X-Request-IDID of the request, unique to the call, as determined by the initiating party.
X-BicFi[A-Z]{6,6}[A-Z2-9][A… · requiredUnique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.
PSU-IDClient ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.
PSU-IP-AddressThe IP address of the PSU from the HTTP request between the PSU and the TPP.
PSU-User-AgentThe Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.
X-AffiliatedASPSP-IDSome ASPSPs have sub-branches. The ID of an affiliated ASPSP as related to the X-BicFi header
PSU-Corporate-IDCorporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.
PSU-Corporate-ID-TypeMight be mandated in the ASPSP's documentation. Only used in a corporate context.
Consent-IDThe ID of the consent authorizing access to the PSU's account information. This data element may be contained if the payment initiation transaction is part of a session, i.e. combined AIS/PIS service.
ID of the corresponding consent object as returned by an Account Information Consent Request.
Confirm Payment › Request Body
paymentIdsbatchBookingPreferredConfirm Payment › Responses
OK

